# Let's put these exceptions in until upstream will fix the issue
%define _requires_exceptions pear(tests/Image/gd.php)\\|pear(tests/Image/svg.php)\\|pear(tests/Image/swf.php)\\|pear(tests/lib/Application.php)
%define upstream_name Horde_Image
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.5
Release:     	%mkrel 2
Summary:    	Horde Image API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Support >= 2.0.0
Requires:	php-pear-Horde_Support < 3.0.0alpha1
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch


%description
This package provides an Image utility API, with backends for:
* GD
* GIF
* PNG
* SVG
* SWF
* ImageMagick convert command line tool
* Imagick Extension

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Image.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Image.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Image
fi

%files
%doc docs/Horde_Image/*
%{peardir}/*
%{xmldir}/Horde_Image.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 532047
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 2.0.5-1.mga4
+ Revision: 466579
- upgrade to ver 2.0.5

* Thu Jun 06 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 438361
- upgrade to ver. 2.0.4
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.9-3.mga3
+ Revision: 376517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 17 2011 spuhler <spuhler> 1.0.9-2.mga2
+ Revision: 183354
- upgrade to 1.0.9

* Sat Dec 03 2011 spuhler <spuhler> 1.0.8-2.mga2
+ Revision: 175679
- added # Let's put these exceptions in until upstream will fix the issue
  +%%define _
  added requires_exceptions pear(tests/Image/gd.php)\\|pear(tests/Image/svg.php)\\|pear(tests/Image/swf.php)\\|pear(tests/lib/Application.php)

* Fri Dec 02 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 175047
- upgrade to 1.0.8

* Sun Nov 06 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 164473
- upgrade to 1.0.7
- added %%define _requires_exceptions  pear(\\(tests/Image/gd.ph\\|tests/Image/svg.php\\|tests/Image/swf.php\\|tests/lib/Application.php))
- changed Provides: php-pear-Horde_Image to php-pear-Horde_Image = %%{version}
- imported package php-pear-Horde_Image

